
// (c) COPYRIGHT URI/MIT 1996, 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      Dan Holloway <d.holloway@gso.uri.edu> dan

// implementation for JGGrid. See JGByte.
//
// jhrg 1/13/95

#include "config_jg.h"

#ifdef __GNUG__
#pragma implementation
#endif

#include "InternalErr.h"
#include "JGGrid.h"
#include "jgofs.h"

Grid *
NewGrid(const string &n)
{
    return new JGGrid(n);
}

BaseType *
JGGrid::ptr_duplicate()
{
    return new JGGrid(*this);
}

JGGrid::JGGrid(const string &n) : Grid(n)
{
}

JGGrid::~JGGrid()
{
}

bool
JGGrid::read(const string &dataset)
{
  throw InternalErr(__FILE__, __LINE__, "Unimplemented read method called.");
}

// $Log: JGGrid.cc,v $
// Revision 1.9  2000/10/10 23:36:14  jimg
// Added exception processing code.
// Added throws to the read methods.
// Changed the definition of read to match the dap library.
// Moved CVS Log entries to the end of files.
//
// Revision 1.8  1999/05/05 04:38:00  brent
// convert String.h code to new stanard lib <string>
//
// Revision 1.7  1998/08/06 16:32:34  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.6  1996/11/12 16:55:18  jimg
// Added config_jg.h include
//
// Revision 1.5  1996/09/17 00:01:57  jimg
// Misc changes associated with merging branch code to the trunk.
//
// Revision 1.4.6.1.2.1  1996/06/26 22:17:54  jimg
// Dans changes for 2.05.
//
// Revision 1.4  1995/10/11  23:06:09  jimg
// These files are the result of merging Dan's changes into the main
// trunk. However, the archive was messed up in the process, so it may be hard
// to trace back to the original versions of some of these files.
//
// Revision 1.3  1995/07/09  21:39:49  jimg
// Added copyright notice.
//
// Revision 1.2  1995/03/14  01:23:26  jimg
// Modified so that these files are a proper subclass of the DAP classes
// Byte, ..., Grid.
// Added assert macros.
// Added Jgofs.h external declarations file.
//
// Revision 1.1  1995/02/16  19:00:47  dan
// JGOFS sub-class definitions for Grid.cc
//
// Revision 1.2  1995/01/19  21:58:55  jimg
// Added read_val from dummy_read.cc to the sample set of sub-class
// implementations.
// Changed the declaration of readVal in BaseType so that it names the
// mfunc read_val (to be consistant with the other mfunc names).
// Removed the unnecessary duplicate declaration of the abstract virtual
// mfuncs read and (now) read_val from the classes Byte, ... Grid. The
// declaration in BaseType is sufficient along with the decl and definition
// in the *.cc,h files which contain the subclasses for Byte, ..., Grid.
//
// Revision 1.1  1995/01/19  20:20:44  jimg
// Created as an example of subclassing the class hierarchy rooted at
// BaseType.
//
